Problemas na instalação do NovoSGA v1.1.3

edited July 2014 in Suporte
Boa tarde.

Estou tendo problemas ao instalar o NovoSGA v1.1.3 seguindo o manual "Instalação do Novo SGA 1.0.0+"

Cenário: Servidor Linux Debian 7.3 sem ambiente Grafico.
Banco de Dados instalado: MySql (Ultima Versão)
PHP e Apache: (Ultimas versões)

Problemas Encontrados:

1) Passo 4 - Instalando o Novo SGA e suas dependências via Composer:

Ao executar o comando listado neste passo aparece uma mensagem de erro dizendo que não foi possível baixar o arquivo com extensão .json "faile d to open stream: Connection Time Out"

Como não consegui desta maneira, baixei o arquivo da versão 1.1.3.tar.gz via linha de comando, criei o diretorio novosga dentro de /var/www e extrai o arquivo dentro.

Feito isso executei o comando seguinte para dar permissão ao diretório do projeto para o usuário do Apache2. Ao executar este comando não retornou nada.


Após continuei com o passo-a-passo do manual onde:

1-Habilitei o "mod_rewride" do Apache2
2- Abri o arquivo de configuração do Site padrão "$sudo nano /etc/apache2/sites-available/default"
3-Habilitei o uso do "htaccess" (AllowOverrride All)
4-Não foi alterado o caminhão padrão.

Feito isso, fui para o Firefox para testar chamando a aplicação pelo endereço http://192.168.1.14/novosga/public
e a mesmo retornou a seguinte mensagem:
Novo SGA

Por favor execute composer.phar install primeiro.

Please run composer.phar install fisrt.

Peço auxilio para continuar esta instalação. Já pesquisei no fórum sobre este problema porém sem sucesso.

Fico no aguardo.
Tagged:

Comments

  • esdras_laroqueesdras_laroque Entry Level
    edited April 2014
    Mesmo você baixando o pacote full da aplicação, ele não deixa passar a instalação sem antes rodar o composer, para verificar as dependências.

    Eu também não consegui instalar o composer via linha de comando, por restrições de firewall em minha rede. Então, encontrei o binário para ser baixado via https no endereço: https://getcomposer.org/download/1.0.0-alpha8/composer.phar

    Após baixa-lo, mova-o para /usr/local/bin/ e execute: composer.par install dentro do diretório que você extraiu os arquivos do NovoSGA tar.gz

    Ele ainda precisará de acesso à internet. Certifique-se de ter liberado o host para acessos via http e https. Eu tentei configurar para o composer usar meu proxy, e não obtive sucesso.
  • Esdras

    Segui a sua dica porém também não obtive sucesso... ele mostra esse erro

    https://dropbox.com/s/0twsvu921dtf29q/Erro%20composer%20SGA.jpg

    tente identificar pra qual endereço ele aponta mais não achei no código. Já liberei o Ip do meu Servidor e o erro ainda ocorre.

    O que será que pode ser ?

  • martinhomartinho Entry Level
    edited April 2014
    Boa noite
    eu uso estes passos para instalação debian/ubuntu lembrando que debian nao vem com pacote sudo instalado.

    $ sudo apt-get install lamp-server^ php5-mysql curl php5-mcrypt
    $ curl -sS https://getcomposer.org/installer | php
    $ php composer.phar create-project novosga/novosga novosga "1.*"
    $ sudo mv novosga /var/www
    $ sudo chown www-data:www-data /var/www/novosga

    $ mysql -u root -p
    > create database novosga;
    > CREATE USER 'novosga'@'%' IDENTIFIED BY '123456';
    >GRANT ALL PRIVILEGES on novosga.* TO 'novosga'@'%' IDENTIFIED BY '123456';
    >exit
    $ sudo nano /etc/mysql/my.cnf
     alterar a linha "bind-address= 127.0.0.1, para "bind-address= 0.0.0.0
    $ sudo /etc/init.d/mysql restart

    $ sudo nano /etc/apache2/sites-available/default
    Alterar
    AllowOverride None
    Para
    AllowOverride all

    $ sudo a2enmod rewrite
    $ sudo invoke-rc.d apache2 restart


    http:///novosga/public

    Obs
    pacote lamp-server^ somente ubuntu. Debian (apache2 php5 mysql-server)
  • @Marcelo_Lopes use -vvv para mostrar mais detalhes.
  • edited July 2014
    @martinho

    segui o seu passo a passo ate a linha 3 ($php composer.phar create-project novosga/novosga novosga "1.*") e me retornou a seguinte mensagem.


    https://www.dropbox.com/s/s645gvlv8zjiniv/Erro Composer Connection Time Out.jpg


    Já dei acesso full ao IP do meu servidor dentro do Proxy e também já abri o endereço que ele diz dar erro no navegador e o mesmo abre normalmente conforme abaixo


    https://www.dropbox.com/s/20ii91wp8il9h4a/Composer URL.jpg


    Segue o link para visualiar no navegador:


    http://packagist.org/p/novosga/novosga$669c8100de0cd4cd434d5cf22a22c03 ce40e66b6f6085e2cda9e5295c21b64c3.json
  • dropbox.com ?? O que isso tem a ver com a instalação ?

    certifique-se de que você está executando o comando do composer dentro do diretório do SGA, onde encontra-se um arquivo composer.json.
  • edited April 2014
    clica no link pra vc ver as imagens com os erro na instalação @esdras_laroque
  • Link quebrado @Marcelo_Lopes
  • martinhomartinho Entry Level
    Marcelo
    repeti a instalação em uma vm vmware e em uma xen server aqui funcionou normalmente .
    nao use copiar colar porque custuma dar erro de caracteres,observe que faltou espaço na linha.
  • edited July 2014
    Boa tarde pessoal

    Consegui colocar o sistema pra funcionar. O problema esta no meu proxy. configurei meu servidor para sair por outro endereço e a instalação prosseguiu. Para configurar o proxy por linha de comando usei a dica deste site :

    http://www.vivaolinux.com.br/dica/Configurando-aptget-com-proxy

    Podem seguir o passo a passo colocado acima pelo @martinho que funciona certinho pra quem optar por montar usando o DB MySql.

    Desde já quero agradecer a ajuda de todos e estarei contribuindo sempre q possivel.

    Forte abraço
  • Estou de Volta..

    Estou com duvidas quanto a instalação do Painel Web e o Painel de Senhas (Triagem Touch)..

    Qual o Procedimento para realizar a instalação desses dois ? Ele ficam no mesmo servidor ou na maquina local ?

    é tudo visualizado pelo navegador ou cada um tem um executável ?


  • Boa tarde

    consegui colocar tudo pra funcionar....menos a impressão das senhas.... da um erro de acesso quando vou gerar..mas ele gera a senha normalmente só não imprime.

    O que pode ser ?
  • Qual erro?
  • r0uterr0uter Entry Level
    edited July 2014
    no meu quando digito

    http://192.168.1.254/novosga/public/

    ele redireciona para >>

    http://192.168.1.254/novosga/public/install

    e nao acontece mais nada
  • Ele estava dando erro de autenticação. Mas consegui resolver adicionado a aplicação do Triagem Touch na opção Global --> Administração --> API na opção Clientes.


    Agora gostaria de saber como faço pra ele imprimir direto as senhas sem que aparece o menu de opções de impressão pedindo pra dar o OK. Tem como so clicar no painel e imprimir a senha ??
  • edited July 2014
    Consegui pessoal. Muito Simples e Pratico e Funcionou 100%

    Basta seguir essa dica que achei no site Viva o Linux:

    http://www.vivaolinux.com.br/dica/Configurando-Firefox-para-autoimpressao

    A versão do Firefox que testei foi a 2.0, porém existem registros que isto é funcional desde a versão 1.0.

    Vamos aos passos necessários:

    1) Digite na barra de endereços:

    about:config

    Será visualizado a lista de configurações do navegador.

    2) Clique com o botão direito, selecione:

    Nova opção -> Boolean

    Abrirá dialogo para criação de nova opção de configuração.

    3) Digite o seguinte nome para a configuração:

    print.always_print_silent

    Pressione OK

    4) Selecione true para habilitar a configuração;

    A partir de agora o diálogo de impressão não será mais exibido.

    Caso exista a necessidade de desabilitar esta impressão automática, faça novamente o passo 1, localize a linha com o nome print.always_print_silent, clique duplo sobre ela, assim marcando-a como "false".


  • Sou eu de Novo.

    Estou com um problema. O triagem Touch não esta mais imprimindo a mensagem que pode ser configurada nas configurações da Unidade na Aba Triagem
  • @Marcelo_Lopes isso é um bug que ainda tem que ser resolvido.
  • SaporeitSaporeit Entry Level
    Boa noite pessoal,

    Preciso da ajuda de vcs, eu segui todo o tutorial e quando vou acessar tb aparece a mensagem: Novo SGA

    Por favor execute composer.phar install primeiro.

    Please run composer.phar install fisrt.

    Quando dou o comando : composer.phar install

    aparece isto abaixo:

    Problem 1
    - The requested package php could not be found in any version, there may be a typo in the package name.
    Problem 2
    - The requested package php could not be found in any version, there may be a typo in the package name.
    Problem 3
    - Installation request for slim/slim 2.3 -> satisfiable by slim/slim[2.3.0].
    - slim/slim 2.3.0 requires php >=5.3.0 -> no matching package found.
    Problem 4
    - Installation request for slim/views 0.1.0 -> satisfiable by slim/views[0.1.0].
    - slim/views 0.1.0 requires php >=5.3.0 -> no matching package found.
    Problem 5
    - Installation request for twig/twig 1.14.2 -> satisfiable by twig/twig[v1.14.2].
    - twig/twig v1.14.2 requires php >=5.2.4 -> no matching package found.
    Problem 6
    - Installation request for doctrine/orm 2.4.0 -> satisfiable by doctrine/orm[v2.4.0].
    - doctrine/orm v2.4.0 requires php >=5.3.2 -> no matching package found.
    Problem 7
    - Installation request for bshaffer/oauth2-server-php 1.2 -> satisfiable by bshaffer/oauth2-server-php[v1.2].
    - bshaffer/oauth2-server-php v1.2 requires php >=5.3.9 -> no matching package found.
    Problem 8
    - twig/twig v1.14.2 requires php >=5.2.4 -> no matching package found.
    - twig/extensions v1.0.0 requires twig/twig 1.* -> satisfiable by twig/twig[v1.14.2].
    - Installation request for twig/extensions 1.0.0 -> satisfiable by twig/extensions[v1.0.0].


    Desde ja agradeço
  • Apache2 no Debian 8.1.0 não possui o arquivo /etc/apache2/sites-available/default, onde habilitar o uso do "htaccess"????
Sign In or Register to comment.